#include <iostream>
#include <cmath>
#include <iomanip>

using namespace std;

int main(int argc, char const *argv[]) {
  std::cout << "      平方根表" << '\n';
  std::cout << "    X|    Xの平方根" << '\n';
  for(double x = 1.0; x < 11; x++){
    std::cout << setw(4) << setprecision(1) << x << "|";
    std::cout << setw(10) << setprecision(6) << sqrt(x) << '\n';
  }

  return 0;
}
